Skip to main content
GET
/
api
/
v1
/
agents
/
{uuid}
/
intents
/
{intentUuid}
/
event
Get the intent's action (event)
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}/event \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}/event"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Intent event retrieved successfully",
  "data": {
    "event_type": "app",
    "status": "deployed",
    "app": {
      "uid": "1f0a…",
      "name": "Tables",
      "is_builtin": true
    },
    "action": {
      "key": "ai_query",
      "name": "AI Query"
    },
    "app_connection_uuid": null,
    "config": {
      "table_uuid": "…",
      "max_results": 10,
      "query_description": "Order tracking table. durum = status."
    }
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required
intentUuid
string<uuid>
required

Response

Intent event retrieved